Skip to main content
GET
/
registry
/
v1
/
kill-switches
List active kill switches for the current tenant
curl --request GET \
  --url https://api.swarmd.ai/registry/v1/kill-switches \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scope": "<string>",
    "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "targetName": "<string>",
    "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reason": "<string>",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Response

200 - */*

OK

id
string<uuid>
scope
string
targetId
string<uuid>
targetName
string
tenantId
string<uuid>
reason
string
createdBy
string<uuid>
createdAt
string<date-time>